function [r]= cumul2(M)
  minim = %inf
  s=size(M)
  r = []
  for i=M' do;
    V = cumul(i')
    if length(V) > 160 then ;   
      if length(V) < minim then;
        minim = length(V)
      end
      if length(V) > length(r) then;
        r(length(V))=0
      elseif length(V) < length(r) then;
        V(length(r))=0
      end
      r= r+V
    end
  end
  //r=r(1:minim)/M(1)
  r=r(1:160)
endfunction

function [A]=cumul(M)
  n=size(M)
  n=n(1)
  A=[]
  minim = %inf
  for i=M' do;
    V=loadfm('fm'+string(i(1)), i(4), i(5), [i(2), i(3)])**2
    if length(V) < minim then;
      minim = length(V)
    end
    if length(V) < length(A) then;
      V(length(A))=0
    elseif length(V) > length(A) then;
      A(length(V)) = 0
    end
    A=A+V
  end
  A=A(1:minim)

//  m=max(A)
//  A= A/m
endfunction

function []=plotfm2(fichier, numero)
  f =  read("./Purge/" + fichier + '/trace' + string(numero) +'.txt', -1, 3)
  plot2d(f(:,2), f(:,3), style=-1)
endfunction

function []=plotfm(fichier)
  f =  read("./Densite/" + fichier + '.txt', -1, 3)
  plot2d(f(:,2), f(:,3), style=-1)
endfunction

function [m2]= loadfm(fichier, xmax, ymax, origine)
  f =  read("./Densite/" + fichier + '.txt', -1, 3)
  m=[]
  n=size(f)
  n=n(1)
  for i=1:n do;
    
    if ((f(i,3) < ymax) & (f(i,2)<xmax) ) then
      m($+1, :) = f(i,[2:3])
    end
  end
  m=m([2:$],:)
  m2 = sqrt((m(:,1)-origine(1))**2+(m(:,2)-origine(2))**2)
endfunction

